Path

ez components / documentation / api reference / 2007.2alpha1 / webdav


eZ Components 2007.2alpha1

Webdav: ezcWebdavRequestLockInfoContent

[ Tutorial ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavRequestLockInfoContent

Class representing the <lockinfo /> XML element in the LOCK request body. [source]
An instance of this class represents the <lockinfo /> XML element, that may optionally be contained in the body of a LOCK request.
An instance of this class must have the properties $lockScope and $lockType set. The property $owner is optional.

Parents

ezcWebdavInfrastructureBase
   |
   --ezcWebdavRequestLockInfoContent

Properties

int read/write  $lockScope
Represents the <lockscope /> XML element.
int read/write  $lockType
Represents the <locktype /> XML element.
string read/write  $owner
Represents the <owner /> XML element.

Member Variables

protected array(string=>mixed) $properties = array()
Container to hold the properties

Inherited Member Variables

From ezcWebdavInfrastructureBase:
protected  ezcWebdavInfrastructureBase::$pluginData

Method Summary

public void __construct( $lockScope, $lockType, [$owner = null] )
Creates a new instance.

Inherited Methods

From ezcWebdavInfrastructureBase :
public mixed ezcWebdavInfrastructureBase::getPluginData()
Retrieves plugin data from the storage.
public bool ezcWebdavInfrastructureBase::hasPluginData()
Returns if plugin data is available in the storage.
public void ezcWebdavInfrastructureBase::removePluginData()
Removes plugin data from the storage.
public void ezcWebdavInfrastructureBase::setPluginData()
Sets plugin data in the storage.

Methods

__construct

void __construct( $lockScope, $lockType, [ $owner = null] )
Creates a new instance.

Parameters

Name Type Description
$lockScope  
$lockType  
$owner  

Last updated: Mon, 12 Nov 2007